#pragma once

#include "ComponentEditor.hpp"

struct TownComponent;

class TownEditor : public ComponentEditor<TownComponent> {
public:
    bool renderComponent(flecs::entity entity, TownComponent& town) override;
    const char* getName() const override { return "Town"; }
};
